package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KeadaanUmumObsetri
 * 
 * @author Generator
 */

public class KeadaanUmumObstetriDetailVO extends BaseMasterVO {
	
	@ManyToOne
	@JoinColumn(name = "papObstetriFk")
	@Caption(value="Obstetri")
	@NotNull(message="Obstetri Harus Diisi")
	private PapObstetriVO papObstetri;

	@Column(name = "papObsetriFk", insertable=false,updatable=false,nullable=false)
	private String papObstetriId;
	
	@ManyToOne
	@JoinColumn(name = "keadaanUmumObstetriFk")
	@Caption(value="keadaanUmum")
	@NotNull(message="keadaan Umum")
	private KeadaanUmumObstetriVO keadaanUmumObstetri;

	@Column(name = "keadaanUmumObstetriFk", insertable=false,updatable=false,nullable=false)
	private Integer keadaanUmumObstetriId;
	
	@Column(name = "deskripsi", nullable = true)
	@Caption(value = "deskripsi")
	private String deskripsi;

	@Column(name = "valueJantung")
	@Caption(value = "valueJantung")
	private String valueJantung;
	
	@Column(name = "valueParu")
	@Caption(value = "valueParu")
	private String valueParu;

	@Column(name = "valueKelainanSaraf")
	@Caption(value = "valueKelainanSaraf")
	private String valueKelainanSaraf;
	
	@Column(name = "valuePayudara")
	@Caption(value = "valuePayudara")
	private String valuePayudara;

	@Column(name = "valueKelainanOrtopedik")
	@Caption(value = "valueKelainanOrtopedik")
	private String valueKelainanOrtopedik;

	@Column(name = "valueLainLain")
	@Caption(value = "valueLainLain")
	private String valueLainLain;

	@Column(name = "value")
	@Caption(value = "value")
	private String value;

	public String getPapObstetriId() {
		return papObstetriId;
	}

	public void setPapObstetriId(String papObstetriId) {
		this.papObstetriId = papObstetriId;
	}

	public PapObstetriVO getPapObstetri() {
		return papObstetri;
	}

	public void setPapObstetri(PapObstetriVO papObstetri) {
		this.papObstetri = papObstetri;
	}

	public KeadaanUmumObstetriVO getKeadaanUmumObstetri() {
		return keadaanUmumObstetri;
	}

	public void setKeadaanUmumObstetri(KeadaanUmumObstetriVO keadaanUmumObstetri) {
		this.keadaanUmumObstetri = keadaanUmumObstetri;
	}

	public String getValueKelainanSaraf() {
		return valueKelainanSaraf;
	}

	public void setValueKelainanSaraf(String valueKelainanSaraf) {
		this.valueKelainanSaraf = valueKelainanSaraf;
	}

	public String getValuePayudara() {
		return valuePayudara;
	}

	public void setValuePayudara(String valuePayudara) {
		this.valuePayudara = valuePayudara;
	}

	public String getValueKelainanOrtopedik() {
		return valueKelainanOrtopedik;
	}

	public void setValueKelainanOrtopedik(String valueKelainanOrtopedik) {
		this.valueKelainanOrtopedik = valueKelainanOrtopedik;
	}

	public String getValueLainLain() {
		return valueLainLain;
	}

	public void setValueLainLain(String valueLainLain) {
		this.valueLainLain = valueLainLain;
	}

	public Integer getKeadaanUmumObstetriId() {
		return keadaanUmumObstetriId;
	}

	public void setKeadaanUmumObstetriId(Integer keadaanUmumObstetriId) {
		this.keadaanUmumObstetriId = keadaanUmumObstetriId;
	}

	public String getDeskripsi() {
		return deskripsi;
	}

	public void setDeskripsi(String deskripsi) {
		this.deskripsi = deskripsi;
	}

	public String getValueJantung() {
		return valueJantung;
	}

	public void setValueJantung(String valueJantung) {
		this.valueJantung = valueJantung;
	}

	public String getValueParu() {
		return valueParu;
	}

	public void setValueParu(String valueParu) {
		this.valueParu = valueParu;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}